/* extra code start */

.error {
    color: #f54040 !important;
    font-size: 12px;
}

.input-group .error {
    position: absolute;
    top: 35px;
    left: 0px;
}

/* table code start */
.table-striped tbody tr:nth-of-type(odd).bg-warning {
    background: #fcf8e3 !important;
    color: #495057 !important;
}

.table-striped tbody tr:nth-of-type(even).bg-warning {
    background: #fcf8e3 !important;
    color: #495057 !important;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: white !important;
}

.table-striped tbody tr:nth-of-type(even) {
    background-color: rgb(248 248 248) !important;
}

/* table code end */

label {
    margin-bottom: 0.1rem !important;
}

.btn i {
    margin-right: 0px !important;
}

/* pagination code start */
#pagination hr {
    border: 1px dotted #d1ebfc;
    margin-top: 5px;
    margin-bottom: 5px;
}

#pagination table thead tr th {
    position: relative;
    white-space: nowrap;
    border-bottom: 3px solid #ecf0f5;
}

#pagination .table thead tr th a {
    color: #535f6b;
    padding-right: 15px;
}

#pagination .table tbody tr td>a {
    color: #535f6b;
    font-weight: 500;
}

#pagination .table thead tr th a i {
    position: absolute;
    right: 7px;
    top: 17px;
    content: "\f0dc";
    color: #dadada;
}

#pagination .table thead tr th a i.fa-sort-up,
#pagination .table thead tr th a i.fa-sort-down {
    color: #535f6b !important;
}

.pagination {
    margin: 0px !important;
}

/* pagination code end */


/* select2 start */
.select2-container {
    width: 100% !important;
}

.select2-container--default .select2-selection--single {
    height: 45px !important;
    background: #fafbfe !important;
    border: 1px solid #f1f1f1 !important;
    border-radius: 8px !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    height: 45px !important;
    line-height: 43px !important;
    font-size: 14px !important;
    padding-left: 14px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 43px !important;
}

.select2-results__option[aria-selected] {
    font-size: 14px !important;
}

.select2-dropdown {
    border: 1px solid #f1f1f1 !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border: 1px solid #f1f1f1 !important;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #FF9037 !important;
    color: white !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    padding: 0px 5px;
    font-size: 12px;
    color: #444;
    background: #dde2ec;
    border-color: #c5c8d0;
    border-radius: 0px;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border: 1px solid #d7dbda !important;
}

.select2-container--default .select2-search--inline .select2-search__field {
    padding: 0px 5px !important;
}

.select2-container--default .select2-selection--multiple {
    min-height: 45px !important;
    background: transparent;
    border: 1px solid #d7dbda;
    font-size: 14px;
    color: #a09e9e;
    border-radius: 10px;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered li {
    padding: 3px 8px;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    margin-right: 5px;
    font-size: 12px;
    color: #444;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover {
    color: #FF9037;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    margin-top: 7px !important;
}

.select2-container .select2-selection--multiple {
    display: flex !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered {
    padding: 0px 6px !important;
}

/* loading code start */
.myloading {
    width: 100%;
    height: 7px;
    background: linear-gradient(to right, #FF9037, #149ea8, #06838b);
    background-color: transparent;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    border-radius: 4px;
    background-size: 20%;
    background-repeat: repeat-y;
    background-position: -25% 0;
    animation: myloadingscroll 3s ease-in-out infinite;
    position: fixed;
    z-index: 9999;
    visibility: visible;
}

@keyframes myloadingscroll {
    50% {
        background-size: 80%
    }

    100% {
        background-position: 125% 0;
    }
}

/* loading code end */

/* pagination code start */
.page-item {
    font-size: 12px !important;
}

.f13 {
    font-size: 13px !important;
}

.page-item.active .page-link {
    background-color: #FF9037;
    border-color: #FF9037;
}

.page-link {
    color: #FF9037;
    border-color: #FF9037;
}

.page-link:hover {
    color: #FF9037;
    border-color: #FF9037;
}

.page-item.disabled .page-link {
    border-color: #FF9037;
}

/* pagination code end */

#loading {
    background-color: #ffffff !important;
}

.iti__selected-flag {
    min-height: 24px !important;
}

.iti--allow-dropdown .iti__flag-container:hover .iti__selected-flag {
    background-color: rgb(250 251 254) !important;
}

.custom-file-label,
.custom-file-label:after {
    overflow: hidden !important;
    height: calc(1.5em + 0.75rem + 1px) !important;
}

.border-red {
    border: 2px solid #ff4b4b !important;
}

.remove_rate {
    margin-top: 25px !important;
}

.add_tax_button {
    background: #0498a4;
    height: 35px;
    padding: 6px;
    width: 35px;
    color: #fff !important;
    float: right;
}